### Function

# Gimp ConfigPath expand_to_files

since: 2.10

#### Declaration [src]

    GList*
    gimp_config_path_expand_to_files (
      const gchar* path,
      GError** error
    )

#### Description [src]

Paths as stored in the gimprc have to be treated special. The string may contain special identifiers such as for example ${gimp_dir} that have to be substituted before use. Also the user’s filesystem may be in a different encoding than UTF-8 (which is what is used for the gimprc).

This function runs `path` through `gimp_config_path_expand()` and gimp_path_parse(), then turns the filenames returned by `gimp_path_parse()` into GFile using g_file_new_for_path().

Available since: 2.10

#### Parameters

`path`

  Type: `const gchar*`

  A NUL-terminated string in UTF-8 encoding.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `None`

                 a `GList` of newly allocated `GFile` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.